/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.flowable.sm;


import io.swagger.annotations.ApiModelProperty;

/**
 * 事件授权
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class EventAuthority
{
  @ApiModelProperty(value = "主键")
  private String id;
  @ApiModelProperty(value = "事件id")
  private String eventId;
  @ApiModelProperty(value = "流程定义id")
  private String processDefId;
  @ApiModelProperty(value = "授权（角色）")
  private String authority;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getEventId()
  {
    return eventId;
  }

  public void setEventId(String eventId)
  {
    this.eventId = eventId;
  }

  public String getProcessDefId()
  {
    return processDefId;
  }

  public void setProcessDefId(String processDefId)
  {
    this.processDefId = processDefId;
  }

  public String getAuthority()
  {
    return authority;
  }

  public void setAuthority(String authority)
  {
    this.authority = authority;
  }
}
